extends Scene


func _on_gnomes_cottage_interacted() -> void:
	$kq4_022_gnomes_cottage.default_script(self)


func _on_dense_forest_interacted() -> void:
	$kq4_029_dense_forest.default_script(self)


func _on_ogres_cottage_interacted() -> void:
	$kq4_004_ogres_cottage.default_script(self)


func _on_forest_path_interacted() -> void:
	$kq4_027_forest_path.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "You see a crude mine shaft in the midst of this forest of pine trees.")
	).build(self, "_on_script_complete"))


func _on_mine_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "The mine entrance is dark and foreboding. Rocks are scattered about the entrance.")
	).build(self, "_on_script_complete"))
